.\" $NetBSD: vidcvideo.4,v 1.4 2007/04/13 00:39:10 plunky Exp $
.\"
.\" Copyright (c) 2006 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 20, 2006
.Dt VIDCVIDEO 4 acorn32
.Os
.Sh NAME
.Nm vidcvideo
.Nd VIDC video device driver
.Sh SYNOPSIS
.Cd "vidcvideo0 at vidc0"
.Cd "wsdisplay* at vidcvideo0 console ?"
.Pp
.Cd "makeoptions MONITOR=""AKF85"""
.Cd "makeoptions MODES=""1024,768,60 800,600,60"""
.Sh DESCRIPTION
The
.Nm
driver provides support for the video system of the
.Tn ARM VIDC20
and of the video and sound macrocell of the
.Tn ARM7500
and
.Tn ARM7500FE
within the
.Xr wscons 4
framework.
It provides support for both a text-based console display and a memory-mapped
frame buffer usable by the X Window System.
.Pp
The
.Nm
driver chooses a screen mode to use when
.Nx
starts up, and has no means of changing it thereafter.
The driver attempts to choose a screen mode from its built-in list that most
closely matches the mode being used under
.Tn RISC \&OS .
If the built-in list of modes is inadequate, a different one can be substituted
by compiling a kernel using the
.Cd MONITOR
option to refer to a
.Tn RISC \&OS
ModeInfo file, specifying the list of modes to extract from it in
.Cd MODES .
.Sh FILES
.Bl -tag -width /usr/src/sys/arch/acorn32/conf/monitors
.It Pa /usr/src/sys/arch/acorn32/conf/monitors
Directory for ModeInfo files.
.El
.Sh SEE ALSO
.Xr wsdisplay 4
.Sh HISTORY
Before
.Nx 4.0 ,
use of
.Cd MONITOR
and
.Cd MODES
was compulsory, as there was no built-in list of screen modes.
